### Constructor

# GcrUi CollectionModel new_full

#### Declaration [src]

    GcrCollectionModel*
    gcr_collection_model_new_full (
      GcrCollection* collection,
      GcrCollectionModelMode mode,
      const GcrColumn* columns
    )

#### Description [src]

Create a new `GcrCollectionModel`.

This method is not directly available to language bindings.

#### Parameters

`collection`

  Type: `GcrCollection`

  The collection to represent.

  The data is owned by the caller of the function.

`mode`

  Type: `GcrCollectionModelMode`

  Whether list or tree mode.

`columns`

  Type: `GcrColumn`

  The columns the model should contain.

  The data is owned by the caller of the function.

#### Return value

Type: `GcrCollectionModel`

A newly allocated model, which should be released with `g_object_unref()`

The caller of the function takes ownership of the data, and is responsible for freeing it.